
QGIS Application - Bug report #19468

Attribute table: show features visible on map is broken (and affects show all features, too)

2018-07-23 11:09 AM - Jérôme Guélat

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Attribute table

Affected QGIS version:3.2.1 Regression?: Yes

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27296

Description

Steps to reproduce:

1. Add the attached GeoPackage (test.gpkg)

2. Zoom to some area in order to have 3-4 visible polygons

3. Open the attribute table and choose "Show features visible on map". This works.

4. Leave the attribute table open and pan to a new area with other polygons (all the previous polygons should be outside of the visible

area)

5. Check the attribute table, it is empty even though polygons are visible on the map (first bug)

6. Choose "Show all features", only some features are shown (second bug)

This wasn't happening in 2.18. I'm using "Show all features" as the attribute table behavior in the QGIS Data Sources settings.

Related issues:

Related to QGIS Application - Bug report # 12318: attribute table does not sh... Closed 2015-03-05

Associated revisions

Revision 929ab272 - 2018-07-24 02:38 PM - Alessandro Pasotti 

Do not set full layer cache when a filter rect is passed

Fixes #19468 - Attribute table: show features visible on

map is broken (and affects show all features, too)

Revision ed63152c - 2018-07-26 11:38 PM - Alessandro Pasotti 

Do not set full layer cache when a filter rect is passed

Fixes #19468 - Attribute table: show features visible on

map is broken (and affects show all features, too)

Cherry picked from master 929ab27282c9753c7c1a3bdef17e8976d22e9aac

History

#1 - 2018-07-24 10:16 AM - Harrissou Santanna

- Related to Bug report #12318: attribute table does not show all features added

#2 - 2018-07-24 02:20 PM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#3 - 2018-07-24 03:05 PM - Alessandro Pasotti

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/7465

#4 - 2018-07-24 04:42 PM - Jérôme Guélat

Thanks a lot !!!

#5 - 2018-07-26 08:03 AM - Anonymous

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|929ab27282c9753c7c1a3bdef17e8976d22e9aac.

#6 - 2018-08-10 10:06 AM - zimirrr leonid

Confirm same error on qgis 3.2.1

#7 - 2018-08-10 12:15 PM - Alessandro Pasotti

I don't think the fix is in 3.2.1, it was fixed after that one was released. 

Would you please check latest master builds?

Files

test.gpkg 116 KB 2018-07-23 Jérôme Guélat
